"use strict";
const common_vendor = require("../../../common/vendor.js");
require("../method.js");
const gen_Enums = require("../../../gen/Enums.js");
const INDEX_asset_houses_model = require("../model.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/naviHelper.js");
require("../../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  _easycom_hs_enum_tag2();
}
const _easycom_hs_enum_tag = () => "../../../components/hs-enum-tag/hs-enum-tag.js";
if (!Math) {
  _easycom_hs_enum_tag();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "MeReviewItem",
  setup(__props) {
    return (_ctx, _cache) => {
      var _a, _b;
      return {
        a: common_vendor.f((_b = (_a = common_vendor.unref(INDEX_asset_houses_model.useModel)) == null ? void 0 : _a.dataList) == null ? void 0 : _b.value, (i, index, i0) => {
          var _a2;
          return {
            a: common_vendor.t((_a2 = i == null ? void 0 : i.asset_house) == null ? void 0 : _a2.full_name),
            b: "41b545e8-0-" + i0,
            c: common_vendor.p({
              value: i == null ? void 0 : i.status,
              Enums: common_vendor.unref(gen_Enums.HouseRegistersStatusEnum)
            }),
            d: "41b545e8-1-" + i0,
            e: common_vendor.p({
              value: i == null ? void 0 : i.type,
              Enums: common_vendor.unref(gen_Enums.HouseRegistersTypeEnum)
            }),
            f: common_vendor.t(i == null ? void 0 : i.created_at),
            g: `item_${index}`
          };
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-41b545e8"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/asset_houses/components/MeReviewItem.vue"]]);
wx.createComponent(Component);
